
QGIS Application - Bug report #13865

KMZ causes QGIS application crash (Mac)

2015-11-22 10:27 PM - Nicolas CAZE

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.10.1 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 21888

Description

Attached KML file crashes QGIS when added on MacOSX.

Works fine with Windows version of QGIS

See extract of dump on crash below :

0   org.gdal.gdal                     0x0000000110ba0e0f kml2field(OGRFeature*, boost::intrusive_ptr<kmldom::Feature>) + 340

1   org.gdal.gdal                     0x0000000110b9ae10 kml2feat(boost::intrusive_ptr<kmldom::Placemark>, OGRLIBKMLDataSource*,

OGRLayer*, OGRFeatureDefn*, OGRSpatialReference*) + 502

2   org.gdal.gdal                     0x0000000110ba7f01 OGRLIBKMLLayer::GetNextRawFeature() + 305

3   org.gdal.gdal                     0x0000000110ba7d62 OGRLIBKMLLayer::GetNextFeature() + 18

4   org.gdal.gdal                     0x0000000110b87121 OGR_L_GetNextFeature + 17

5   libogrprovider.so                 0x000000011e280d4f QgsOgrProvider::getOgrGeomType(void*) + 55

6   libogrprovider.so                 0x000000011e27fb97 QgsOgrProvider::loadFields() + 151

7   libogrprovider.so                 0x000000011e280c5a QgsOgrProvider::setEncoding(QString const&) + 296

8   libogrprovider.so                 0x000000011e27d2d5 QgsOgrProvider::QgsOgrProvider(QString const&) + 2667

9   libogrprovider.so                 0x000000011e28d0a1 classFactory + 34

10  org.qgis.qgis2_core               0x000000011214cbae QgsProviderRegistry::provider(QString const&, QString const&) + 104

11  org.qgis.qgis2_core               0x000000011218d71d QgsVectorLayer::setDataProvider(QString const&) + 101

12  org.qgis.qgis2_core               0x0000000112187ecb QgsVectorLayer::setDataSource(QString, QString, QString, bool) + 159

13  org.qgis.qgis2_core               0x00000001121874cc QgsVectorLayer::QgsVectorLayer(QString, QString, QString, bool) + 1036

14  org.qgis.qgis2                    0x000000010dd9e6e2 QgisApp::addVectorLayers(QStringList const&, QString const&, QString const&) +

978

15  org.qgis.qgis2                    0x000000010dd9e221 QgisApp::addVectorLayer() + 155

16  org.qgis.qgis2                    0x000000010e12adce QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 7242

History

#1 - 2016-01-19 09:01 AM - Sandro Santilli

- Status changed from Open to Feedback

I could open the attached file just fine with current master branch (2.14-pre, commit:69cb0c4) and GDAL trunk (2.1.0-pre, r33047) on Ubuntu 14.04.

Could you retry with an updated version or both QGIS and GDAL (most important I think is GDAL).

If the problem persists please include GDAL version and QGIS version.

You should find both in Help->About window.

#2 - 2016-01-19 09:02 AM - Sandro Santilli

- Resolution set to up/downstream
#3 - 2016-04-09 11:57 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Category changed from Browser to Vectors

Closing for lack of feedback, please reopen if necessary,

Files

archives.kml 1.85 KB 2015-11-22 Nicolas CAZE
